Status: Closed Start date:

Priority: Normal % Done:
Assignee: skyjake

Category: Enhancement

Target version:

2003-10-05
100%

Description

Currently monsters use the same states in both of thier
attacks. While this wasn't previously problem now it is
impossible to create effects that are only used when a
monster uses a certain attack.

Also a similar problem exists with Spectre. | would be
usefull if the Spectre was completely seperate from the
Demon rather than using a selector.

Labels: Game Objects

Related issues:

Related to Feature #1616: Selector for sprites

Related to Feature #1244: Scripting in model definitions (e.g., dependent on ...
Related to Feature #1617: Scoped definitions and variables

New
Closed
New

2013-10-21
2003-07-20
2013-10-21

History

#1 - 2003-10-06 08:23 - chilvence

Logged In: YES
user_id=675595

Sorry if I'm suggesting something that you have already
tried, but can you not create the new states just by copying
them from the originals and loading them after objects.ded
has been parsed?

| did do a couple of new states in my soldier model to kick
down some animation problems, and that worked fine, so it
might be worth a try. The only thing that you will be doing
that | havent done is redefining the close attack state in
the actual thing definition. Sorry | would try it myself,

but | finished a long day and all | can gather the energy to
do is browse these RFE's... and its doubtless that | will
have totally forgotten about it by the morning.

#2 - 2003-10-07 08:01 - skyjake

Logged In: YES
user_id=717323

For some monsters editing Objects.ded may be enough, but
there are others whose states are directly referenced in

the code. It's certainly possible to separate them all, but

the process is somewhat tedious and one must be careful not
to break any old code that assumes non-obvious
relationships between the state/thing I1Ds of various

objects.

#3 - 2004-02-17 21:26 - danij

Logged In: YES
user_id=849456

That is exactly why | listed it as an RFE. Any changes should
be made to jDoom so as to not cause potential problems in
multiplayer with people using incompatible deds.

#4 - 2013-10-21 08:45 - skyjake

- Subject changed from Seperate shared attack states with monsters with 2 attacks to Differentiating variants of monster attacks

#5 - 2019-11-29 16:25 - skyjake

- Category set to Enhancement

- Status changed from New to Closed
- Assignee set to skyjake

- % Done changed from 0 to 100

In the new model renderer, object animation is scriptable and independent of mobj states, so this should not be an issue any more.
